#pragma once

#include "kateai.h"
#include <KTextEditor/ConfigPage>

#include <QLineEdit>
#include <QRadioButton>
#include <QComboBox>
#include <QSpinBox>
#include <QLabel>

class KateAiConfigPage : public KTextEditor::ConfigPage
{
	Q_OBJECT
private:
	QLineEdit lineUrl;
	QLabel systemPromptLabel;
	QLineEdit lineSystemPrompt;
	QRadioButton btnCompletion;
	QRadioButton btnInstruct;
	QComboBox cmbxServerType;
	QSpinBox contextSpinBox;
	KateAiPlugin* m_plugin;

private:

	void instructBtnToggeled(bool checked);

public:
	explicit KateAiConfigPage(QWidget *parent = nullptr, KateAiPlugin *plugin = nullptr);
	~KateAiConfigPage() override
	{
	}

	QString name() const override;
	QString fullName() const override;
	QIcon icon() const override;

	void apply() override;
	void reset() override;
	void defaults() override
	{
	}
};
